#!/bin/bash

#rpmbuildDir="/run/media/jpc/SanDisk_JPC/distributions/soc/9/rpmbuild"
 rpmbuildDir="/dsk/l1/distributions/soc/9-alma/rpmbuild"
     githash="d432d8d" # 1.15
git archive --format tar.gz -o ../dspdfviewer-1.15.tar.gz --prefix=dspdfviewer-1.15/ d432d8d

 if [ ! -d ${rpmbuildDir} ]; then
   echo "[ERROR] \"${rpmbuildDir}\" doesn\'t exists."
   exit 1
 fi
 cd ${rpmbuildDir}

 pushd ./SOURCES/dspdfviewer
 git archive --format tar.gz -o ../dspdfviewer-1.15.git${githash}.tar.gz \
                          --prefix=dspdfviewer-1.15/   ${githash}
 popd

 rpmbuild -ba --clean --define "githash ${githash}" SPECS.SoC/dspdfviewer.spec
#rpmbuild -bp         --define "githash ${githash}" SPECS.SoC/dspdfviewer.spec
